Welcome to the GovWorx Beta API Documentation! Please reach out to support if you are interested in gaining access to the GovWorx API.
cURL
curl --request GET \ --url https://app.govworx.net/api/v1/external/user
{ "totalElements": 123, "totalPages": 123, "last": true, "size": 123, "content": [ { "email": "<string>", "firstName": "<string>", "lastName": "<string>", "loginEnabled": true, "notificationEmail": "<string>", "id": 123, "tenantId": 123, "idpSub": "<string>", "personnelId": "<string>", "roleId": 123, "mfaEnabled": true, "lastLoginAt": "2023-11-07T05:31:56Z", "isSupervisor": true, "isTemplatePublishingAllowed": true, "vlrIdentifier": "<string>", "passwordExpiresAt": "2023-11-07T05:31:56Z", "isPasswordExpired": true, "isSupportUser": true } ], "number": 123, "sort": { "empty": true, "sorted": true, "unsorted": true }, "first": true, "numberOfElements": 123, "pageable": { "offset": 123, "sort": { "empty": true, "sorted": true, "unsorted": true }, "pageNumber": 123, "pageSize": 123, "paged": true, "unpaged": true }, "empty": true }
Get a list of users. Token must have ‘Manage Users’ permission.
Documentation IndexFetch the complete documentation index at: https://developers.govworx.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://developers.govworx.ai/llms.txt
Use this file to discover all available pages before exploring further.
OK
Show child attributes